Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.common.collect
Interface SortedMapDifference<K,V>

All Superinterfaces:
  MapDifference<K,V>

    @Beta
    @GwtCompatible
    public interface SortedMapDifference<K,V>

extends MapDifference<K,V>

An object representing the differences between two sorted maps.

Since:
  8.0
Author:
  Louis Wasserman

Nested Class Summary

Nested classes/interfaces inherited from interface com.google.common.collect.MapDifference
`MapDifference.ValueDifference<V>`

Method Summary
`SortedMap<K,MapDifference.ValueDifference<V>>` | `entriesDiffering()` Returns an unmodifiable map describing keys that appear in both maps, but with different values.
`SortedMap<K,V>` | `entriesInCommon()` Returns an unmodifiable map containing the entries that appear in both maps; that is, the intersection of the two maps.
`SortedMap<K,V>` | `entriesOnlyOnLeft()` Returns an unmodifiable map containing the entries from the left map whose keys are not present in the right map.
`SortedMap<K,V>` | `entriesOnlyOnRight()` Returns an unmodifiable map containing the entries from the right map whose keys are not present in the left map.

Methods inherited from interface com.google.common.collect.MapDifference
`areEqual, equals, hashCode`

Method Detail

### entriesOnlyOnLeft

    SortedMap<K,V> entriesOnlyOnLeft()

  Description copied from interface: `MapDifference`
  Returns an unmodifiable map containing the entries from the left map whose keys are not present in the right map.

  Specified by:
    `entriesOnlyOnLeft` in interface `MapDifference<K,V>`

### entriesOnlyOnRight

    SortedMap<K,V> entriesOnlyOnRight()

  Description copied from interface: `MapDifference`
  Returns an unmodifiable map containing the entries from the right map whose keys are not present in the left map.

  Specified by:
    `entriesOnlyOnRight` in interface `MapDifference<K,V>`

### entriesInCommon

    SortedMap<K,V> entriesInCommon()

  Description copied from interface: `MapDifference`
  Returns an unmodifiable map containing the entries that appear in both maps; that is, the intersection of the two maps.

  Specified by:
    `entriesInCommon` in interface `MapDifference<K,V>`

### entriesDiffering

    SortedMap<K,MapDifference.ValueDifference<V>> entriesDiffering()

  Description copied from interface: `MapDifference`
  Returns an unmodifiable map describing keys that appear in both maps, but with different values.

  Specified by:
    `entriesDiffering` in interface `MapDifference<K,V>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2011. All Rights Reserved.